export const getHTTPSEndpointUrl = (endpoint) => {
    let endpointUrl;
    if (API_HOST) {
        endpointUrl = API_HOST.replace(/wss?:\/\//, 'https://').concat(endpoint);
    }
    else {
        endpointUrl = 'https://' + location.hostname + endpoint;
    }
    return endpointUrl;
};
export const createFormData = (files) => {
    const formData = new FormData();
    files.forEach((file) => {
        formData.append(file.name, file);
    });
    return formData;
};
export const uploadFiles = (url, formData, authToken) => {
    const headers = new Headers();
    headers.append('SESSION_AUTH_TOKEN', authToken);
    return fetch(url, {
        method: 'POST',
        body: formData,
        headers: headers,
    }).then((response) => response.json().then((data) => {
        return data;
    }));
};
//# sourceMappingURL=file-upload.utils.js.map