import { __decorate } from "tslib";
import { TextField as FASTTextField } from '@microsoft/fast-components';
import { observable } from '@microsoft/fast-element';
import { urlinputTemplate as template } from './url-input.template';
import { foundationUrlInputStyles as styles } from './url-input.styles';
export const foundationUrlInputShadowOptions = undefined;
export const defaultUrlInputConfig = {};
export class UrlInput extends FASTTextField {
    constructor() {
        super(...arguments);
        this.value = '';
    }
    saveUrl(url) {
        this.value = url.startsWith('http') ? url : 'https://' + url;
        this.focused = false;
    }
    focus() {
        this.focused = true;
    }
}
__decorate([
    observable
], UrlInput.prototype, "value", void 0);
__decorate([
    observable
], UrlInput.prototype, "focused", void 0);
export const foundationUrlInput = UrlInput.compose(Object.assign({ baseName: 'url-input', template,
    styles, shadowOptions: foundationUrlInputShadowOptions }, defaultUrlInputConfig));
//# sourceMappingURL=url-input.js.map